<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.grpU8.nxproof.oerdjnr.dao.impl.OerDjnrDaoImpl">
    <resultMap id="get-OerDjnrEntity-result" type="com.hzya.frame.grpU8.nxproof.oerdjnr.entity.OerDjnrEntity">
        <result property="mlId" column="mlId" />
        <result property="djlxId" column="djlxId" />
        <result property="gsdm" column="gsdm" />
        <result property="kjnd" column="kjnd" />
        <result property="bnxId" column="bnxId" />
        <result property="fjs" column="fjs"/>
        <result property="xh" column="xh" />
        <result property="fzx6dm" column="fzx6dm" />
        <result property="zbId" column="zbId" />
        <result property="fzx6mc" column="fzx6mc" />
        <result property="kmdm" column="kmdm" />
        <result property="kmmc" column="kmmc" />
        <result property="je" column="je" />
        <result property="zy" column="zy" />
        <result property="bmdm" column="bmdm" />
        <result property="bmmc" column="bmmc" />
        <result property="xmdm" column="xmdm" />
        <result property="xmmc" column="xmmc" />
        <result property="fzx7dm" column="fzx7dm" />
        <result property="fzx7mc" column="fzx7mc" />
        <result property="kzzbId" column="kzzbId" />
        <result property="module" column="module" />

        <result property="jjdm" column="jjdm" />
        <result property="jjmc" column="jjmc" />
        <result property="fzx8dm" column="fzx8dm" />
        <result property="fzx8mc" column="fzx8mc" />
        <result property="fzx9dm" column="fzx9dm" />
        <result property="fzx9mc" column="fzx9mc" />
        <result property="jflxdm" column="jflxdm" />
        <result property="jflxmc" column="jflxmc" />
        <result property="clf_startdate" column="clf_startdate" />
        <result property="clf_enddate" column="clf_enddate" />
        <result property="clf_ccdd" column="clf_ccdd" />
        <result property="clf_ccksd" column="clf_ccksd" />
        <result property="clf_djzs" column="clf_djzs" />
        <result property="clf_ccts" column="clf_ccts" />
        <result property="clf_ccrs" column="clf_ccrs" />
        <result property="clf_zw" column="clf_zw" />
        <result property="clf_jtgj" column="clf_jtgj" />
        <result property="clf_jtf" column="clf_jtf" />
        <result property="clf_zsbz" column="clf_zsbz" />
        <result property="clf_zsf" column="clf_zsf" />
        <result property="clf_hsbz" column="clf_hsbz" />
        <result property="clf_jtbz" column="clf_jtbz" />
        <result property="clf_jtbzf" column="clf_jtbzf" />
        <result property="clf_qtf" column="clf_qtf" />

    </resultMap>

   <sql id="OerDjnrEntity_Base_Column_List">
 MLID,DJLXID,GSDM,KJND,BNXID
   </sql>
    <insert id="OerDjnrEntity_insert" parameterType="com.hzya.frame.grpU8.nxproof.oerdjnr.entity.OerDjnrEntity">
        insert into OER_DJNR(
        <trim prefixOverrides="," suffixOverrides=",">

        <if test="mlId != null and mlId !='' "> MLID, </if>
        <if test="djlxId != null and djlxId !='' "> DJLXID, </if>
        <if test="kjnd != null and kjnd !='' "> KJND, </if>
        <if test="bnxId != null and bnxId !='' "> BNXID, </if>
        <if test="xh != null and xh !=''"> XH, </if>
        <if test="zbId != null and zbId !='' "> ZBID, </if>
        <if test="kmdm != null and kmdm !='' "> KMDM, </if>
        <if test="kmmc != null and kmmc !='' "> KMMC,</if>
        <if test="je != null and je !='' ">JE, </if>
        <if test="zy != null and zy !='' "> ZY,</if>
        <if test="fjs != null and fjs !=''">FJS, </if>
        <if test="fzx6dm != null and fzx6dm !='' "> FZX6DM, </if>
        <if test="fzx6mc != null and fzx6mc !='' ">FZX6MC, </if>
        <if test="bmdm != null and bmdm !='' "> BMDM, </if>
        <if test="bmmc != null and bmmc !='' "> BMMC, </if>
        <if test="xmdm != null and xmdm !='' "> XMDM, </if>
        <if test="xmmc != null and xmmc !='' "> XMMC,</if>
        <if test="fzx7dm != null and fzx7dm !='' "> FZX7DM, </if>
        <if test="fzx7mc != null and fzx7mc !='' "> FZX7MC,</if>
        <if test="kzzbId != null and kzzbId !='' "> KZZBID, </if>
        <if test="gsdm != null and gsdm !='' "> GSDM, </if>
        <if test="jjdm != null and jjdm !='' "> jjdm, </if>
        <if test="jjmc != null and jjmc !='' "> jjmc, </if>
        <if test="fzx8dm != null and fzx8dm !='' "> fzx8dm, </if>
        <if test="fzx8mc != null and fzx8mc !='' "> fzx8mc, </if>
        <if test="fzx9dm != null and fzx9dm !='' "> fzx9dm, </if>
        <if test="fzx9mc != null and fzx9mc !='' "> fzx9mc, </if>
        <if test="jflxdm != null and jflxdm !='' "> jflxdm, </if>
        <if test="jflxmc != null and jflxmc !='' "> jflxmc, </if>
        <if test="clf_startdate != null and clf_startdate !='' "> clf_startdate, </if>
        <if test="clf_enddate != null and clf_enddate !='' "> clf_enddate, </if>
        <if test="clf_ccdd != null and clf_ccdd !='' "> clf_ccdd, </if>
        <if test="clf_ccksd != null and clf_ccksd !='' "> clf_ccksd, </if>
        <if test="clf_djzs != null and clf_djzs !='' "> clf_djzs, </if>
        <if test="clf_cctsbz != null and clf_cctsbz !='' "> clf_cctsbz, </if>
        <if test="clf_ccts != null and clf_ccts !='' "> clf_ccts, </if>
        <if test="clf_ccrs != null and clf_ccrs !='' "> clf_ccrs, </if>
        <if test="clf_zw != null and clf_zw !='' "> clf_zw, </if>
        <if test="clf_jtgj != null and clf_jtgj !='' "> clf_jtgj, </if>
        <if test="clf_jtf != null and clf_jtf !='' "> clf_jtf, </if>
        <if test="clf_zsbz != null and clf_zsbz !='' "> clf_zsbz, </if>
        <if test="clf_zsf != null and clf_zsf !='' "> clf_zsf, </if>
        <if test="clf_hsf != null and clf_hsf !='' "> clf_hsf, </if>
        <if test="clf_hsbz != null and clf_hsbz !='' "> clf_hsbz, </if>
        <if test="clf_jtbz != null and clf_jtbz !='' "> clf_jtbz, </if>
        <if test="clf_jtbzf != null and clf_jtbzf !='' "> clf_jtbzf, </if>
        <if test="clf_qtf != null and clf_qtf !='' "> clf_qtf </if>
        </trim>
        )
        values (
        <trim prefixOverrides="," suffixOverrides=",">

        <if test="mlId != null and mlId !='' "> #{mlId}, </if>
        <if test="djlxId != null and djlxId !='' "> #{djlxId}, </if>
        <if test="kjnd != null and kjnd !='' "> #{kjnd}, </if>
        <if test="bnxId != null and bnxId !='' "> #{bnxId}, </if>
        <if test="xh != null and xh !=''"> #{xh}, </if>
        <if test="zbId != null and zbId !='' "> #{zbId}, </if>
        <if test="kmdm != null and kmdm !='' "> #{kmdm}, </if>
        <if test="kmmc != null and kmmc !='' "> #{kmmc},</if>
        <if test="je != null and je !='' "> #{je}, </if>
        <if test="zy != null and zy !='' "> #{zy},</if>
        <if test="fjs != null and fjs !=''"> #{fjs}, </if>
        <if test="fzx6dm != null and fzx6dm !='' "> #{fzx6dm}, </if>
        <if test="fzx6mc != null and fzx6mc !='' "> #{fzx6mc}, </if>
        <if test="bmdm != null and bmdm !='' "> #{bmdm}, </if>
        <if test="bmmc != null and bmmc !='' "> #{bmmc}, </if>
        <if test="xmdm != null and xmdm !='' "> #{xmdm}, </if>
        <if test="xmmc != null and xmmc !='' "> #{xmmc},</if>
        <if test="fzx7dm != null and fzx7dm !='' "> #{fzx7dm}, </if>
        <if test="fzx7mc != null and fzx7mc !='' "> #{fzx7mc},</if>
        <if test="kzzbId != null and kzzbId !='' "> #{kzzbId}, </if>
        <if test="gsdm != null and gsdm !='' "> #{gsdm}, </if>
        <if test="fzx8dm != null and fzx8dm !='' "> #{fzx8dm}, </if>
        <if test="fzx8mc != null and fzx8mc !='' "> #{fzx8mc}, </if>
        <if test="fzx9dm != null and fzx9dm !='' "> #{fzx9dm}, </if>
        <if test="fzx9mc != null and fzx9mc !='' "> #{fzx9mc}, </if>
        <if test="jflxdm != null and jflxdm !='' "> #{jflxdm}, </if>
        <if test="jflxmc != null and jflxmc !='' "> #{jflxmc}, </if>
        <if test="clf_startdate != null and clf_startdate !='' "> #{clf_startdate}, </if>
        <if test="clf_enddate != null and clf_enddate !='' "> #{clf_enddate}, </if>
        <if test="clf_ccdd != null and clf_ccdd !='' "> #{clf_ccdd}, </if>
        <if test="clf_ccksd != null and clf_ccksd !='' "> #{clf_ccksd}, </if>
        <if test="clf_djzs != null and clf_djzs !='' "> #{clf_djzs}, </if>
        <if test="clf_cctsbz != null and clf_cctsbz !='' "> #{clf_cctsbz}, </if>
        <if test="clf_ccts != null and clf_ccts !='' "> #{clf_ccts}, </if>
        <if test="clf_ccrs != null and clf_ccrs !='' "> #{clf_ccrs}, </if>
        <if test="clf_zw != null and clf_zw !='' "> #{clf_zw}, </if>
        <if test="clf_jtgj != null and clf_jtgj !='' "> #{clf_jtgj}, </if>
        <if test="clf_jtf != null and clf_jtf !='' "> #{clf_jtf}, </if>
        <if test="clf_zsbz != null and clf_zsbz !='' "> #{clf_zsbz}, </if>
        <if test="clf_zsf != null and clf_zsf !='' "> #{clf_zsf}, </if>
        <if test="clf_hsf != null and clf_hsf !='' "> #{clf_hsf}, </if>
        <if test="clf_hsbz != null and clf_hsbz !='' "> #{clf_hsbz}, </if>
        <if test="clf_jtbz != null and clf_jtbz !='' "> #{clf_jtbz}, </if>
        <if test="clf_jtbzf != null and clf_jtbzf !='' "> #{clf_jtbzf}, </if>
        <if test="clf_qtf != null and clf_qtf !='' "> #{clf_qtf} </if>
        </trim>
        )
    </insert>

    <!--删除 用于单据删除时使用-->
    <delete id="OerDjnrEntity_delete" parameterType="com.hzya.frame.grpU8.nxproof.oerdjnr.entity.OerDjnrEntity">
        DELETE
        FROM
            oer_djnr
        WHERE
            GSDM = #{gsdm}
          AND KJND = #{kjnd}
          AND DJLXID = #{djlxId}
          AND MLID = #{mlId}
    </delete>

</mapper>
